org.eclipse.rdf4j.query.algebra.evaluation

## Class ValueExprEvaluationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.OpenRDFException
        - - org.eclipse.rdf4j.RDF4JException
          - - org.eclipse.rdf4j.query.QueryEvaluationException
            - - org.eclipse.rdf4j.query.algebra.evaluation.ValueExprEvaluationException

- All Implemented Interfaces:
    Serializable

      public class ValueExprEvaluationException
      extends QueryEvaluationException

  An exception indicating that a `ValueExpr` could not be evaluated due to illegal or incompatible values. When thrown, the result of the evaluation should be considered to be "unknown".
  Author:
    Arjohn Kampman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueExprEvaluationException()`
    `ValueExprEvaluationException(String message)`
    `ValueExprEvaluationException(String message, Throwable t)`
    `ValueExprEvaluationException(Throwable t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `fillInStackTrace()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueExprEvaluationException

          public ValueExprEvaluationException()

    - #### ValueExprEvaluationException

          public ValueExprEvaluationException(String message)

    - #### ValueExprEvaluationException

          public ValueExprEvaluationException(String message,
                                              Throwable t)

    - #### ValueExprEvaluationException

          public ValueExprEvaluationException(Throwable t)

  - ### Method Detail

    - #### fillInStackTrace

          public Throwable fillInStackTrace()

      Overrides:
        `fillInStackTrace` in class `Throwable`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.